#!/bin/sh
 
. alt-test-functions

test_exec /sbin/mkfs "mkfs utility"
test_package udftools "manipulate UDF filesystem"

# Base filesystems
test_package dosfstools "support FAT filesystem (dosfstools)"
test_package ntfs-3g "support NTFS filesystem (ntfs-3g)"
test_package e2fsprogs "support Ext2/3/4 filesystem (e2fsprogs)"
test_package squashfsprogs "support Squash filesystem (squashfsprogs)"

# Popular filesystems
test_package btrfs-progs "support Btr filesystem (btrfs-progs)"
test_package jfsutils "support JFS filesystem (jfsutils)"
test_package xfsprogs "support XFS filesystem (xfsprogs)"
test_package reiserfsprogs "support Reiser filesystem (reiserfsprogs)"

# Rare filesystems
test_package exfat-utils "support exFAT filesystem (exfat-utils)"
test_package exofs-utils "support Exo filesystem (exofs-utils)"
test_package logfsprogs "support Log filesystem (logfsprogs)"
test_package nilfs-utils "support Nil filesystem (nilfs-utils)"
test_package f2fs-tools "support F2 filesystem (f2fs-tools)"
test_package hfsprogs "support HFS filesystem (hfsprogs)"
test_package mtd-utils "support jffs2/ubifs filesystem (mtd-utils)"
test_package lustre "support Lustre filesystem (lustre)"
test_package ocfs2-tools "support OCFS2 filesystem (ocfs2-tools)"

test_end
