#!/bin/sh

. alt-test-functions

# Testcases for SPT distribution

# Test for build on c7 branch
test -n "$(get_package_version apt-conf-branch | grep '\.M70C\.')"
ok $? "Please, build on c7 branch"

# CryptoPro
test_package lsb # >= 3.0
test_package libopenmotif3
test_package pcsc-lite # >= 0:1.5.2
test_package libgcc1
test_package glibc-core
test_package glibc-pthread
test_package libstdc++6
test_package openssl-engines
test_package fonts-bitmap-cyr_rfx-iso8859-5

# Oracle
test_package gcc4.[0-9]
test_package gcc4.[0-9]-c++
test_package findutils
test_package gawk
test_package pdksh
test_package glibc-devel
test_package libaio-devel
test_package libunixODBC-devel
test_package expat
test_package libstdc++3.3

test_package python-module-django
test_package mongo-server 
test_package python-module-xmlsec
test_package libxmlsec1
test_package libxmlsec1-gnutls
test_package libxmlsec1-nss
test_package libxmlsec1-openssl

# Fingerprint scanner support
test_package pam_fprintd
test_package libfprint
test_package xprobe2

# Other requires
test_package libqt4-sql-mysql
test_package libqt4-sql-postgresql
test_package python-module-PyQt4
test_package python-module-ZSI
test_package php5-soap
test_package php5-calendar
test_package openssl-engines

# IM server
test_package openfire

# RDP server
test_package xrdp

# Legacy RDP client
test_package rdesktop

# For VirtualBox
test_package kernel-modules-virtualbox-addition-[a-z]*-[a-z]*
test_package virtualbox-guest-additions 
test_package xorg-drv-vboxvideo

# Easy touchpad configuration
test_package gsynaptics

# New auth schema via LDAP
test_package nss-ldapd

# For webcam testing
test_package cheese

# Simple antivirus
test_package clamav
test_package clamav-db
test_package clamtk

# For 1C:Enterprise
test_package 1c-preinstall

# UPS support
test_package apcupsd

# Test for kernels
test_package kernel-image-std-def
test_package kernel-image-el-def
test_package kernel-image-ovz-el

# Test for versions with fixed vulnerabilities
test_package "samba>4.0.16"

# Deployment tools
test_package puppet
test_package puppet-server

# Antivirus
test_package clamav
test_package clamtk
test_package clamav-db

# Misc
test_package libini

# GIS
test_package qgis
test_package qgis-grass
test_package qgis-python
test_package qgis-mapserver

# ICAClient support
test_package ICAClient-preinstall

# eToken support
test_package IDProtectClient
test_package JaCartaGOST
test_package jcPKCS11
test_package jcPKCS11x

# Working virt-manager
test_package 'virt-manager>=1.0.0'

# Browsers with fixed vulnerabilites
test_package 'firefox>=24.4.0'
test_package 'thunderbird>=24.4.0'
test_package 'chromium>=33.0.1750.152'

# Smartcard support
test_package pcsc-lite-acsccid
test_package pcsc-lite-asedriveiiie-usb
test_package pcsc-lite-ccid
test_package pcsc-lite-rutokens
test_package pcsc-lite-openct

# Smartcard utilites
test_package pcsc-tools
test_package opensc
test_package openct

# Support tokens in web-browsers
test_package librtpkcs11ecp

# Test DRBD
test_package drbd83-heartbeat
test_package drbd83-tools
test_package drbd83-udev

test_end
